openapi-petstore-0.1.0.0: Auto-generated openapi-petstore API Client

Safe Haskell | Safe-Inferred
Language | Haskell2010

OpenAPIPetstore.API.Fake

Contents

- Operations
  - Fake
    - createXmlItem
    - fakeOuterBooleanSerialize
    - fakeOuterCompositeSerialize
    - fakeOuterNumberSerialize
    - fakeOuterStringSerialize
    - testBodyWithFileSchema
    - testBodyWithQueryParams
    - testClientModel
    - testEndpointParameters
    - testEnumParameters
    - testGroupParameters
    - testInlineAdditionalProperties
    - testJsonFormData
    - testQueryParameterCollectionFormat

Description

Synopsis

- createXmlItem :: (Consumes CreateXmlItem contentType, MimeRender contentType XmlItem) => ContentType contentType -> XmlItem -> OpenAPIPetstoreRequest CreateXmlItem contentType NoContent MimeNoContent
- data CreateXmlItem
- fakeOuterBooleanSerialize :: Consumes FakeOuterBooleanSerialize contentType => ContentType contentType -> Accept accept -> OpenAPIPetstoreRequest FakeOuterBooleanSerialize contentType Bool accept
- data FakeOuterBooleanSerialize
- fakeOuterCompositeSerialize :: Consumes FakeOuterCompositeSerialize contentType => ContentType contentType -> Accept accept -> OpenAPIPetstoreRequest FakeOuterCompositeSerialize contentType OuterComposite accept
- data FakeOuterCompositeSerialize
- fakeOuterNumberSerialize :: Consumes FakeOuterNumberSerialize contentType => ContentType contentType -> Accept accept -> OpenAPIPetstoreRequest FakeOuterNumberSerialize contentType Double accept
- data FakeOuterNumberSerialize
- fakeOuterStringSerialize :: Consumes FakeOuterStringSerialize contentType => ContentType contentType -> Accept accept -> OpenAPIPetstoreRequest FakeOuterStringSerialize contentType Text accept
- data FakeOuterStringSerialize
- testBodyWithFileSchema :: (Consumes TestBodyWithFileSchema MimeJSON, MimeRender MimeJSON FileSchemaTestClass) => FileSchemaTestClass -> OpenAPIPetstoreRequest TestBodyWithFileSchema MimeJSON NoContent MimeNoContent
- data TestBodyWithFileSchema
- testBodyWithQueryParams :: (Consumes TestBodyWithQueryParams MimeJSON, MimeRender MimeJSON User) => User -> Query -> OpenAPIPetstoreRequest TestBodyWithQueryParams MimeJSON NoContent MimeNoContent
- data TestBodyWithQueryParams
- testClientModel :: (Consumes TestClientModel MimeJSON, MimeRender MimeJSON Client) => Client -> OpenAPIPetstoreRequest TestClientModel MimeJSON Client MimeJSON
- data TestClientModel
- testEndpointParameters :: Consumes TestEndpointParameters MimeFormUrlEncoded => Number -> ParamDouble -> PatternWithoutDelimiter -> Byte -> OpenAPIPetstoreRequest TestEndpointParameters MimeFormUrlEncoded NoContent MimeNoContent
- data TestEndpointParameters
- testEnumParameters :: Consumes TestEnumParameters MimeFormUrlEncoded => OpenAPIPetstoreRequest TestEnumParameters MimeFormUrlEncoded NoContent MimeNoContent
- data TestEnumParameters
- testGroupParameters :: RequiredStringGroup -> RequiredBooleanGroup -> RequiredInt64Group -> OpenAPIPetstoreRequest TestGroupParameters MimeNoContent NoContent MimeNoContent
- data TestGroupParameters
- testInlineAdditionalProperties :: (Consumes TestInlineAdditionalProperties MimeJSON, MimeRender MimeJSON ParamMapMapStringText) => ParamMapMapStringText -> OpenAPIPetstoreRequest TestInlineAdditionalProperties MimeJSON NoContent MimeNoContent
- data TestInlineAdditionalProperties
- testJsonFormData :: Consumes TestJsonFormData MimeFormUrlEncoded => Param -> Param2 -> OpenAPIPetstoreRequest TestJsonFormData MimeFormUrlEncoded NoContent MimeNoContent
- data TestJsonFormData
- testQueryParameterCollectionFormat :: Pipe -> Ioutil -> Http -> Url -> Context -> OpenAPIPetstoreRequest TestQueryParameterCollectionFormat MimeNoContent NoContent MimeNoContent
- data TestQueryParameterCollectionFormat

# Operations

## Fake

### createXmlItem

createXmlItem Source #

Arguments

:: (Consumes CreateXmlItem contentType, MimeRender contentType XmlItem) |
=> ContentType contentType | request content-type (`MimeType`)
-> XmlItem | "xmlItem" - XmlItem Body
-> OpenAPIPetstoreRequest CreateXmlItem contentType NoContent MimeNoContent |

    POST /fake/create_xml_item

creates an XmlItem

this route creates an XmlItem

data CreateXmlItem Source #

#### Instances

Instances details

HasBodyParam CreateXmlItem XmlItem Source # | Body Param XmlItem - XmlItem Body
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes CreateXmlItem contentType, MimeRender contentType XmlItem) => OpenAPIPetstoreRequest CreateXmlItem contentType res accept -> XmlItem -> OpenAPIPetstoreRequest CreateXmlItem contentType res accept Source #

Consumes CreateXmlItem MimeTextXml Source #

    text/xml

Instance details Defined in OpenAPIPetstore.API.Fake

Consumes CreateXmlItem MimeTextXmlCharsetutf16 Source #

    text/xml; charset=utf-16

Instance details Defined in OpenAPIPetstore.API.Fake

Consumes CreateXmlItem MimeTextXmlCharsetutf8 Source #

    text/xml; charset=utf-8

Instance details Defined in OpenAPIPetstore.API.Fake

Consumes CreateXmlItem MimeXML Source #

    application/xml

Instance details Defined in OpenAPIPetstore.API.Fake

Consumes CreateXmlItem MimeXmlCharsetutf16 Source #

    application/xml; charset=utf-16

Instance details Defined in OpenAPIPetstore.API.Fake

Consumes CreateXmlItem MimeXmlCharsetutf8 Source #

    application/xml; charset=utf-8

Instance details Defined in OpenAPIPetstore.API.Fake
Produces CreateXmlItem MimeNoContent Source # |
Instance details Defined in OpenAPIPetstore.API.Fake

### fakeOuterBooleanSerialize

fakeOuterBooleanSerialize Source #

Arguments

:: Consumes FakeOuterBooleanSerialize contentType |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> OpenAPIPetstoreRequest FakeOuterBooleanSerialize contentType Bool accept |

    POST /fake/outer/boolean

Test serialization of outer boolean types

data FakeOuterBooleanSerialize Source #

#### Instances

Instances details

HasBodyParam FakeOuterBooleanSerialize BodyBool Source # | Body Param "body" - Input boolean as post body
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes FakeOuterBooleanSerialize contentType, MimeRender contentType BodyBool) => OpenAPIPetstoreRequest FakeOuterBooleanSerialize contentType res accept -> BodyBool -> OpenAPIPetstoreRequest FakeOuterBooleanSerialize contentType res accept Source #

MimeType mtype => Consumes FakeOuterBooleanSerialize mtype Source #

    */*

Instance details Defined in OpenAPIPetstore.API.Fake

MimeType mtype => Produces FakeOuterBooleanSerialize mtype Source #

    */*

Instance details Defined in OpenAPIPetstore.API.Fake

### fakeOuterCompositeSerialize

fakeOuterCompositeSerialize Source #

Arguments

:: Consumes FakeOuterCompositeSerialize contentType |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> OpenAPIPetstoreRequest FakeOuterCompositeSerialize contentType OuterComposite accept |

    POST /fake/outer/composite

Test serialization of object with outer number type

data FakeOuterCompositeSerialize Source #

#### Instances

Instances details

HasBodyParam FakeOuterCompositeSerialize OuterComposite Source # | Body Param "body" - Input composite as post body
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes FakeOuterCompositeSerialize contentType, MimeRender contentType OuterComposite) => OpenAPIPetstoreRequest FakeOuterCompositeSerialize contentType res accept -> OuterComposite -> OpenAPIPetstoreRequest FakeOuterCompositeSerialize contentType res accept Source #

MimeType mtype => Consumes FakeOuterCompositeSerialize mtype Source #

    */*

Instance details Defined in OpenAPIPetstore.API.Fake

MimeType mtype => Produces FakeOuterCompositeSerialize mtype Source #

    */*

Instance details Defined in OpenAPIPetstore.API.Fake

### fakeOuterNumberSerialize

fakeOuterNumberSerialize Source #

Arguments

:: Consumes FakeOuterNumberSerialize contentType |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> OpenAPIPetstoreRequest FakeOuterNumberSerialize contentType Double accept |

    POST /fake/outer/number

Test serialization of outer number types

data FakeOuterNumberSerialize Source #

#### Instances

Instances details

HasBodyParam FakeOuterNumberSerialize BodyDouble Source # | Body Param "body" - Input number as post body
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes FakeOuterNumberSerialize contentType, MimeRender contentType BodyDouble) => OpenAPIPetstoreRequest FakeOuterNumberSerialize contentType res accept -> BodyDouble -> OpenAPIPetstoreRequest FakeOuterNumberSerialize contentType res accept Source #

MimeType mtype => Consumes FakeOuterNumberSerialize mtype Source #

    */*

Instance details Defined in OpenAPIPetstore.API.Fake

MimeType mtype => Produces FakeOuterNumberSerialize mtype Source #

    */*

Instance details Defined in OpenAPIPetstore.API.Fake

### fakeOuterStringSerialize

fakeOuterStringSerialize Source #

Arguments

:: Consumes FakeOuterStringSerialize contentType |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> OpenAPIPetstoreRequest FakeOuterStringSerialize contentType Text accept |

    POST /fake/outer/string

Test serialization of outer string types

data FakeOuterStringSerialize Source #

#### Instances

Instances details

HasBodyParam FakeOuterStringSerialize BodyText Source # | Body Param "body" - Input string as post body
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes FakeOuterStringSerialize contentType, MimeRender contentType BodyText) => OpenAPIPetstoreRequest FakeOuterStringSerialize contentType res accept -> BodyText -> OpenAPIPetstoreRequest FakeOuterStringSerialize contentType res accept Source #

MimeType mtype => Consumes FakeOuterStringSerialize mtype Source #

    */*

Instance details Defined in OpenAPIPetstore.API.Fake

MimeType mtype => Produces FakeOuterStringSerialize mtype Source #

    */*

Instance details Defined in OpenAPIPetstore.API.Fake

### testBodyWithFileSchema

testBodyWithFileSchema Source #

Arguments

:: (Consumes TestBodyWithFileSchema MimeJSON, MimeRender MimeJSON FileSchemaTestClass) |
=> FileSchemaTestClass | "body"
-> OpenAPIPetstoreRequest TestBodyWithFileSchema MimeJSON NoContent MimeNoContent |

    PUT /fake/body-with-file-schema

For this test, the body for this request much reference a schema named `File`.

data TestBodyWithFileSchema Source #

#### Instances

Instances details

HasBodyParam TestBodyWithFileSchema FileSchemaTestClass Source # |
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes TestBodyWithFileSchema contentType, MimeRender contentType FileSchemaTestClass) => OpenAPIPetstoreRequest TestBodyWithFileSchema contentType res accept -> FileSchemaTestClass -> OpenAPIPetstoreRequest TestBodyWithFileSchema contentType res accept Source #

Consumes TestBodyWithFileSchema MimeJSON Source #

    application/json

Instance details Defined in OpenAPIPetstore.API.Fake
Produces TestBodyWithFileSchema MimeNoContent Source # |
Instance details Defined in OpenAPIPetstore.API.Fake

### testBodyWithQueryParams

testBodyWithQueryParams Source #

Arguments

:: (Consumes TestBodyWithQueryParams MimeJSON, MimeRender MimeJSON User) |
=> User | "body"
-> Query | "query"
-> OpenAPIPetstoreRequest TestBodyWithQueryParams MimeJSON NoContent MimeNoContent |

    PUT /fake/body-with-query-params

data TestBodyWithQueryParams Source #

#### Instances

Instances details

HasBodyParam TestBodyWithQueryParams User Source # |
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes TestBodyWithQueryParams contentType, MimeRender contentType User) => OpenAPIPetstoreRequest TestBodyWithQueryParams contentType res accept -> User -> OpenAPIPetstoreRequest TestBodyWithQueryParams contentType res accept Source #

Consumes TestBodyWithQueryParams MimeJSON Source #

    application/json

Instance details Defined in OpenAPIPetstore.API.Fake
Produces TestBodyWithQueryParams MimeNoContent Source # |
Instance details Defined in OpenAPIPetstore.API.Fake

### testClientModel

testClientModel Source #

Arguments

:: (Consumes TestClientModel MimeJSON, MimeRender MimeJSON Client) |
=> Client | "body" - client model
-> OpenAPIPetstoreRequest TestClientModel MimeJSON Client MimeJSON |

    PATCH /fake

To test "client" model

To test "client" model

data TestClientModel Source #

#### Instances

Instances details

HasBodyParam TestClientModel Client Source # | Body Param "body" - client model
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes TestClientModel contentType, MimeRender contentType Client) => OpenAPIPetstoreRequest TestClientModel contentType res accept -> Client -> OpenAPIPetstoreRequest TestClientModel contentType res accept Source #

Consumes TestClientModel MimeJSON Source #

    application/json

Instance details Defined in OpenAPIPetstore.API.Fake

Produces TestClientModel MimeJSON Source #

    application/json

Instance details Defined in OpenAPIPetstore.API.Fake

### testEndpointParameters

testEndpointParameters Source #

Arguments

:: Consumes TestEndpointParameters MimeFormUrlEncoded |
=> Number | "number" - None
-> ParamDouble | "double" - None
-> PatternWithoutDelimiter | "patternWithoutDelimiter" - None
-> Byte | "byte" - None
-> OpenAPIPetstoreRequest TestEndpointParameters MimeFormUrlEncoded NoContent MimeNoContent |

    POST /fake

Fake endpoint for testing various parameters 假端點 偽のエンドポイント 가짜 엔드 포인트

Fake endpoint for testing various parameters 假端點 偽のエンドポイント 가짜 엔드 포인트

AuthMethod: `AuthBasicHttpBasicTest`

data TestEndpointParameters Source #

#### Instances

Instances details

HasOptionalParam TestEndpointParameters Callback Source # | Optional Param "callback" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Callback -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Callback -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

HasOptionalParam TestEndpointParameters Int32 Source # | Optional Param "int32" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Int32 -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Int32 -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

HasOptionalParam TestEndpointParameters Int64 Source # | Optional Param "int64" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Int64 -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Int64 -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

HasOptionalParam TestEndpointParameters ParamBinary Source # | Optional Param "binary" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamBinary -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamBinary -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

HasOptionalParam TestEndpointParameters ParamDate Source # | Optional Param "date" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamDate -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamDate -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

HasOptionalParam TestEndpointParameters ParamDateTime Source # | Optional Param "dateTime" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamDateTime -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamDateTime -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

HasOptionalParam TestEndpointParameters ParamFloat Source # | Optional Param "float" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamFloat -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamFloat -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

HasOptionalParam TestEndpointParameters ParamInteger Source # | Optional Param "integer" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamInteger -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamInteger -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

HasOptionalParam TestEndpointParameters ParamString Source # | Optional Param "string" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamString -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamString -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

HasOptionalParam TestEndpointParameters Password Source # | Optional Param "password" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Password -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Password -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

Consumes TestEndpointParameters MimeFormUrlEncoded Source #

    application/x-www-form-urlencoded

Instance details Defined in OpenAPIPetstore.API.Fake
Produces TestEndpointParameters MimeNoContent Source # |
Instance details Defined in OpenAPIPetstore.API.Fake

### testEnumParameters

testEnumParameters :: Consumes TestEnumParameters MimeFormUrlEncoded => OpenAPIPetstoreRequest TestEnumParameters MimeFormUrlEncoded NoContent MimeNoContent Source #

    GET /fake

To test enum parameters

To test enum parameters

data TestEnumParameters Source #

#### Instances

Instances details

HasOptionalParam TestEnumParameters EnumFormString Source # | Optional Param "enum_form_string" - Form parameter enum test (string)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumFormString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumFormString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

HasOptionalParam TestEnumParameters EnumFormStringArray Source # | Optional Param "enum_form_string_array" - Form parameter enum test (string array)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumFormStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumFormStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

HasOptionalParam TestEnumParameters EnumHeaderString Source # | Optional Param "enum_header_string" - Header parameter enum test (string)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

HasOptionalParam TestEnumParameters EnumHeaderStringArray Source # | Optional Param "enum_header_string_array" - Header parameter enum test (string array)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

HasOptionalParam TestEnumParameters EnumQueryDouble Source # | Optional Param "enum_query_double" - Query parameter enum test (double)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryDouble -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryDouble -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

HasOptionalParam TestEnumParameters EnumQueryInteger Source # | Optional Param "enum_query_integer" - Query parameter enum test (double)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryInteger -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryInteger -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

HasOptionalParam TestEnumParameters EnumQueryString Source # | Optional Param "enum_query_string" - Query parameter enum test (string)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

HasOptionalParam TestEnumParameters EnumQueryStringArray Source # | Optional Param "enum_query_string_array" - Query parameter enum test (string array)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

Consumes TestEnumParameters MimeFormUrlEncoded Source #

    application/x-www-form-urlencoded

Instance details Defined in OpenAPIPetstore.API.Fake
Produces TestEnumParameters MimeNoContent Source # |
Instance details Defined in OpenAPIPetstore.API.Fake

### testGroupParameters

testGroupParameters Source #

Arguments

:: RequiredStringGroup | "requiredStringGroup" - Required String in group parameters
-> RequiredBooleanGroup | "requiredBooleanGroup" - Required Boolean in group parameters
-> RequiredInt64Group | "requiredInt64Group" - Required Integer in group parameters
-> OpenAPIPetstoreRequest TestGroupParameters MimeNoContent NoContent MimeNoContent |

    DELETE /fake

Fake endpoint to test group parameters (optional)

Fake endpoint to test group parameters (optional)

data TestGroupParameters Source #

#### Instances

Instances details

HasOptionalParam TestGroupParameters BooleanGroup Source # | Optional Param "boolean_group" - Boolean in group parameters

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestGroupParameters contentType res accept -> BooleanGroup -> OpenAPIPetstoreRequest TestGroupParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestGroupParameters contentType res accept -> BooleanGroup -> OpenAPIPetstoreRequest TestGroupParameters contentType res accept Source #

HasOptionalParam TestGroupParameters Int64Group Source # | Optional Param "int64_group" - Integer in group parameters

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestGroupParameters contentType res accept -> Int64Group -> OpenAPIPetstoreRequest TestGroupParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestGroupParameters contentType res accept -> Int64Group -> OpenAPIPetstoreRequest TestGroupParameters contentType res accept Source #

HasOptionalParam TestGroupParameters StringGroup Source # | Optional Param "string_group" - String in group parameters

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestGroupParameters contentType res accept -> StringGroup -> OpenAPIPetstoreRequest TestGroupParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestGroupParameters contentType res accept -> StringGroup -> OpenAPIPetstoreRequest TestGroupParameters contentType res accept Source #

Produces TestGroupParameters MimeNoContent Source # |
Instance details Defined in OpenAPIPetstore.API.Fake

### testInlineAdditionalProperties

testInlineAdditionalProperties Source #

Arguments

:: (Consumes TestInlineAdditionalProperties MimeJSON, MimeRender MimeJSON ParamMapMapStringText) |
=> ParamMapMapStringText | "param" - request body
-> OpenAPIPetstoreRequest TestInlineAdditionalProperties MimeJSON NoContent MimeNoContent |

    POST /fake/inline-additionalProperties

test inline additionalProperties

data TestInlineAdditionalProperties Source #

#### Instances

Instances details

HasBodyParam TestInlineAdditionalProperties ParamMapMapStringText Source # | Body Param "param" - request body
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes TestInlineAdditionalProperties contentType, MimeRender contentType ParamMapMapStringText) => OpenAPIPetstoreRequest TestInlineAdditionalProperties contentType res accept -> ParamMapMapStringText -> OpenAPIPetstoreRequest TestInlineAdditionalProperties contentType res accept Source #

Consumes TestInlineAdditionalProperties MimeJSON Source #

    application/json

Instance details Defined in OpenAPIPetstore.API.Fake
Produces TestInlineAdditionalProperties MimeNoContent Source # |
Instance details Defined in OpenAPIPetstore.API.Fake

### testJsonFormData

testJsonFormData Source #

Arguments

:: Consumes TestJsonFormData MimeFormUrlEncoded |
=> Param | "param" - field1
-> Param2 | "param2" - field2
-> OpenAPIPetstoreRequest TestJsonFormData MimeFormUrlEncoded NoContent MimeNoContent |

    GET /fake/jsonFormData

test json serialization of form data

data TestJsonFormData Source #

#### Instances

Instances details

Consumes TestJsonFormData MimeFormUrlEncoded Source #

    application/x-www-form-urlencoded

Instance details Defined in OpenAPIPetstore.API.Fake
Produces TestJsonFormData MimeNoContent Source # |
Instance details Defined in OpenAPIPetstore.API.Fake

### testQueryParameterCollectionFormat

testQueryParameterCollectionFormat Source #

Arguments

:: Pipe | "pipe"
-> Ioutil | "ioutil"
-> Http | "http"
-> Url | "url"
-> Context | "context"
-> OpenAPIPetstoreRequest TestQueryParameterCollectionFormat MimeNoContent NoContent MimeNoContent |

    PUT /fake/test-query-parameters

To test the collection format in query parameters

data TestQueryParameterCollectionFormat Source #

#### Instances

Instances details

Produces TestQueryParameterCollectionFormat MimeNoContent Source # |
Instance details Defined in OpenAPIPetstore.API.Fake